Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class TariffOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.option.common.bean.TariffOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Tied`

public class TariffOption extends IdTitle implements Tied

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TariffOption.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

  ## Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

  `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TariffOption.Builder`
  `builder()`
  `List<TariffOptionActivateMode>`
  `getActivateModeList()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Set<Integer>`
  `getContractLabels()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDepends()`
  `String`
  `getDescription()`
  `int`
  `getHideForContractGroupsMode()`
  `Set<Integer>`
  `getHideForContractLabels()`
  `Set<Integer>`
  `getIncompatible()`
  `Set<Integer>`
  `getTariffIdSet()`
  `boolean`
  `isEnable()`
  `boolean`
  `isHideForWeb()`
  `TariffOption`
  `setActivateModeList(List<TariffOptionActivateMode> activateModeList)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setContractLabels(Set<Integer> contractLabels)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDepends(Set<Integer> depends)`
  `void`
  `setDescription(String description)`
  `void`
  `setEnable(boolean enable)`
  `void`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `void`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `void`
  `setHideForWeb(boolean hideForWeb)`
  `void`
  `setIncompatible(Set<Integer> incompatible)`
  `void`
  `setTariffIdSet(Set<Integer> tariffIdSet)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.Tied

  `getId`

- ## Constructor Details

  - ### TariffOption

    public TariffOption()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getTariffIdSet

    public Set<Integer> getTariffIdSet()

  - ### setTariffIdSet

    public void setTariffIdSet(Set<Integer> tariffIdSet)

  - ### getActivateModeList

    public List<TariffOptionActivateMode> getActivateModeList()

  - ### setActivateModeList

    public TariffOption setActivateModeList(List<TariffOptionActivateMode> activateModeList)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getDepends

    public Set<Integer> getDepends()
    Specified by:
      `getDepends` in interface `Tied`

  - ### setDepends

    public void setDepends(Set<Integer> depends)

  - ### getIncompatible

    public Set<Integer> getIncompatible()
    Specified by:
      `getIncompatible` in interface `Tied`

  - ### setIncompatible

    public void setIncompatible(Set<Integer> incompatible)

  - ### getContractLabels

    public Set<Integer> getContractLabels()

  - ### setContractLabels

    public void setContractLabels(Set<Integer> contractLabels)

  - ### isEnable

    public boolean isEnable()

  - ### setEnable

    public void setEnable(boolean enable)

  - ### isHideForWeb

    public boolean isHideForWeb()

  - ### setHideForWeb

    public void setHideForWeb(boolean hideForWeb)

  - ### getHideForContractLabels

    public Set<Integer> getHideForContractLabels()

  - ### setHideForContractLabels

    public void setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### getHideForContractGroupsMode

    public int getHideForContractGroupsMode()

  - ### setHideForContractGroupsMode

    public void setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### builder

    public static TariffOption.Builder builder()